curl --request POST \
--url https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/share/ \
--header 'Content-Type: application/json' \
--header 'X-API-Version: <api-key>' \
--header 'X-Client-ID: <api-key>' \
--header 'X-Client-Secret: <api-key>' \
--data '
{
"email": [
"[email protected]"
],
"phone": [
"<string>"
]
}
'import requests
url = "https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/share/"
payload = {
"email": ["[email protected]"],
"phone": ["<string>"]
}
headers = {
"X-Client-ID": "<api-key>",
"X-Client-Secret": "<api-key>",
"X-API-Version": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Client-ID': '<api-key>',
'X-Client-Secret': '<api-key>',
'X-API-Version': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({email: ['[email protected]'], phone: ['<string>']})
};
fetch('https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/share/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}Share Link
Send payment link to customers via email or SMS.
Overview
Trigger automated notifications to share the payment link with your customers via email or SMS.Path Parameters
paymentLinkId: The unique identifier of the payment link.
Request Body
email: A list of email addresses to send the link to.phone: A list of phone numbers (with country code) to send the link to.
Authorizations
Client Application ID - Your unique application identifier used to authenticate API requests. You can find your Client ID in the Developer Settings section of the merchant dashboard.
Client Secret Key - Your secret key used alongside the Client ID for secure authentication. Keep this confidential and never expose it in client-side code. Available in the Developer Settings section of the merchant dashboard.
API Version - Specifies which version of the API to use (e.g., '1.X.X', '2.X.X', or '3.X.X'). This header allows you to control which API version your integration uses. Default version information is available in the Developer Settings.
Path Parameters
The link's link_id from Create Payment Link (e.g. PR5106085554). The payment_id Create Payment Link returns is the same value.